Bug 7714 - group file corrupts when adding a lot of group members
group file corrupts when adding a lot of group members
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-09 18:19 EST by charta
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-03 11:43:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description charta 1999-12-09 18:19:08 EST
Hello, bugtrackers,

I am running free web based mail system and it is important to me
limit and control my mail users access rights and behaviour. After system
upgrade I assigned all my 5000 mailusers to one group. Result - totaly
corrupted /etc/group file. I noticed, that it is possible to assign about
200 members to one group without group database corruption. Corruption
symptoms are: extra spaces, newlines, a lot of commas around group names
and inside group name, zeros...

It is very important to fix this bug, because if system is running any
automated user adding mechanisms you could note too late, that some of your
users haven't any quotas, have access to ftp or other services that are,
normaly, restricted!

Sorry, I did not look at shadow-utils sources yet, so I can't say where
exactly bug is, but I think you should take a look at group handling
functions and incorrect buffering, or smth.

Thank you for your support.

Andrius Adomaitis
System Administrator of
"Gaumina design" - web desing & hosting
mailto: charta@gaumina.lt
Comment 1 Elliot Lee 2000-02-03 11:43:59 EST
This is not a bug with shadow-utils specifically, so much as a limitation with
UNIX in general.

Note You need to log in before you can comment on or make changes to this bug.